%define srcname oci-cli
%define oci_cli_version 2.4.34

Name: python-oci-cli
Version: %{oci_cli_version}
Release: 1%{?dist}
Url: http://pypi.python.org/pypi/%{srcname}
Summary: Oracle Bare Metal Cloud Services CLI client
License: Apache2.0
Group: Development/Libraries
#Source:https://github.com/oracle/oci-cli.git
#Source: https://files.pythonhosted.org/packages/source/o/%{srcname}/%{srcname}-%{version}.tar.gz
SOURCE: %{srcname}-%{version}.tar.gz
#PATCH0: %{srcname}-setup.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools

#required by OCI-CLI:
Requires: python-oci-sdk == 2.0.5
Requires: python-click >= 6.7
Requires: python-terminaltables >= 3.1.0
Requires: python-retrying >= 1.3.3
Requires: python2-arrow == 0.10.0
Requires: python2-jmespath == 0.9.3
Requires: python2-idna >= 2.5, python2-idna < 2.7

#Requires: python-requests >= 2.18.4
#Requires: python-six >= 1.11.0

%description
Python SDK for Oracle Bare Metal Cloud Services command line client utilities.

%prep
%setup -q -n %{srcname}-%{version}
#patch -p1<%{PATCH0}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=%{buildroot}

sed 5i"import oci" -i %{buildroot}/usr/bin/oci
sed 5i"import oci" -i %{buildroot}/usr/bin/bmcs

%clean
#rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{python_sitelib}/oci_cli*
%doc README.rst LICENSE.txt

%changelog
* Thu Oct 04 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.34-1
- Update to version 2.4.34

* Thu Sep 27 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.33-1
- Update to version 2.4.33

* Thu Sep 06 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.32-1
- Update to version 2.4.32

* Thu Aug 23 2018 John Mcwalters <john.mcwcalters@oracle.com> 2.4.31-1
- Update to version 2.4.31

* Thu Aug 09 2018 Jacob Wang <jacob.wang@oracle.com> 2.4.30-1.0.1
- Remove dependency of pyOpenSSL

* Thu Aug 09 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.30-1
- Update to version 2.4.30

* Thu Jul 26 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.29-1
- Update to version 2.4.29

* Thu Jul 12 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.28-1
- Update to version 2.4.28

* Fri Jun 29 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.27-1
- Update to version 2.4.27

* Fri Jun 15 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.26-1
- Update to version 2.4.26

* Fri Jun 01 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.24-1
- Update to version 2.4.24

* Thu May 17 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.23-1
- Update to version 2.4.23

* Fri May 04 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.22-1
- Update to version 2.4.22

* Thu Apr 19 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.21-1
- Update to version 2.4.21

* Fri Apr 06 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.20-1
- Update to version 2.4.20

* Mon Mar 26 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.19-1
- Update to version 2.4.19

* Thu Mar 08 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.18-1
- Update to version 2.4.18

* Fri Feb  23 2018 Qing Lin <qing.lin@oracle.com> - 2.4.17-1
- Updated python-oci-sdk dependency

* Fri Feb  9 2018 Qing Lin <qing.lin@oracle.com> - 2.4.16-2
- Updated python-oci-sdk dependency

* Fri Feb  9 2018 Qing Lin <qing.lin@oracle.com> - 2.4.16-1
- Upgraded to 2.4.15

* Fri Jan 26 2018 Qing Lin <qing.lin@oracle.com> - 2.4.15-1
- Upgraded to 2.4.15

* Mon Oct 16 2017 Qing Lin <qing.lin@oracle.com>
- Added the missing dependent package:python-retrying in spec file.
* Fri Sep 29 2017 Qing Lin <qing.lin@oracle.com>
- complete the dependencies list in  spec file for oci-cli 2.4.9
* Thu Aug 31 2017 Qing Lin <qing.lin@oracle.com>
- update for  spec file for oci-cli 2.4.7
- remove bmcs SDK package from CLI.
* Mon Jun 12 2017 Laszlo (Laca) Peter <laszlo.peter@oracle.com>
- initial spec file for oraclebmc-cli 2.4.4
